Subject: [pcp] WG process for tracking open issues

From: Dave Thaler <[email-masked]>
Date: Wed, 8 Dec 2010 16:49:48 +0000

The chairs have discussed how we want to track open issues with PCP.

This email summarizes the proposed process.

We would like to use the WG issue tracker

(http://trac.tools.ietf.org/wg/pcp/trac/report) for non-editorial issues

with WG documents.

When a new technical issue is raised, the chairs or the designated document

editor (Dan Wing) will file it in the issue tracker, which automatically

assigns it a unique number.  Any state change results in an email to the

list, but we don't expect that the extra emails will not be a burden since

state changes will be infrequent and useful as noted below.     If it does

become too much, we will re-evaluate at that time.

The state "active" will mean that no consensus has been declared.  The WG

is encouraged to comment and propose text.

The state "accepted" will mean that a tentative consensus has been declared

but the result does not yet appear in the latest draft.  The editor is

expected to insert text that reflects the consensus into the next version.

(If proposed text was posted to the list, and appears to have consensus,

we can copy that text into the issue at the time it is moved to the

accepted state.)  This state is also used to confirm tentative consensus.

For example, if a direction is tentatively taken at a meeting, then the

email to the list about the issue moving to the accepted state is the way

we will confirm consensus... new objections may still be raised in this state.

The state "closed" will mean that consensus has been declared (and the draft

contains the text, if the Resolution is "fixed").  This then becomes a record

of things for which we have declared the issue resolved, barring new points

raised (which would result in a new issue opened).

We will shortly file entries in the tracker for the main items previously

raised.  If we miss some, please send email to the chairs so we can add them.

-Dave and Alain

---

From: Francis Dupont <[email-masked]>
Date: Wed, 08 Dec 2010 23:32:42 +0100

I propose to add an item about NAT detection inside the PCP protocol
(with 1- optional or not, currently it is in all exchanges; 2- by
the server or the client, currently it is by the client.)

Regards

[email-masked]

PS: Of course I'd like to get it optional and by the server (:-)

---

From: Francis Dupont <[email-masked]>
Date: Mon, 13 Dec 2010 16:09:37 +0100

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
I propose a new item (or new items) for the tracker:
 - adopt the principle that everything not essential to request/response
  must be moved to IEs (aka options)
 - apply the principle
 - produce a list of primary (and in general mandatory to support)
  IEs/options

Regards